<?xml version="1.0" encoding="UTF-8"?>
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>top.wu2020</groupId>
        <artifactId>wu-lazy-cloud-network</artifactId>
        <version>1.2.7-JDK17-SNAPSHOT</version>
    </parent>

    <modelVersion>4.0.0</modelVersion>

    <artifactId>wu-lazy-cloud-heartbeat-server</artifactId>
    <description>云上心跳服务端</description>

    <properties>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
    </properties>

    <dependencies>
        <dependency>
            <groupId>top.wu2020</groupId>
            <artifactId>wu-framework-web</artifactId>
        </dependency>
        <!--    通用心跳包    -->
        <dependency>
            <groupId>top.wu2020</groupId>
            <artifactId>wu-lazy-cloud-heartbeat-common</artifactId>
        </dependency>
        <!--    数据库    -->
        <dependency>
            <groupId>mysql</groupId>
            <artifactId>mysql-connector-java</artifactId>
            <version>8.0.33</version>
        </dependency>

        <dependency>
            <groupId>top.wu2020</groupId>
            <artifactId>wu-database-lazy-plus-starter</artifactId>
        </dependency>
        <!--    授权平台    -->
        <dependency>
            <groupId>top.wu2020</groupId>
            <artifactId>wu-authorization-server-platform-starter</artifactId>
        </dependency>
        <!--    jvm    -->
        <dependency>
            <groupId>top.wu2020</groupId>
            <artifactId>wu-jvm-server-platform-starter</artifactId>
        </dependency>
        <dependency>
            <groupId>com.alibaba</groupId>
            <artifactId>fastjson</artifactId>
            <version>2.0.50</version>
        </dependency>
        <dependency>
            <groupId>io.swagger.core.v3</groupId>
            <artifactId>swagger-annotations-jakarta</artifactId>
            <version>2.2.21</version>
        </dependency>
        <dependency>
            <groupId>top.wu2020</groupId>
            <artifactId>wu-framework-lazy-orm-spring-starter</artifactId>
        </dependency>
        <dependency>
            <groupId>top.wu2020</groupId>
            <artifactId>wu-log-server-platform-starter</artifactId>
        </dependency>
        <!--    内网穿透客户端    -->
        <dependency>
            <groupId>top.wu2020</groupId>
            <artifactId>wu-lazy-cloud-heartbeat-client</artifactId>
        </dependency>
    </dependencies>

    <build>
        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <includes>
                    <include>**/*.*</include>
                    <!--<include>**/*.html</include>
                    <include>**/*.css</include>
                    <include>**/*.jpg</include>
                    <include>**/*.png</include>
                    <include>**/*.js</include>
                    <include>**/*.properties</include>-->
                </includes>
            </resource>
        </resources>
    </build>

</project>